// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
        borderRadius: 0,
        alignItems: 'center',
        cursor: 'pointer',
        overflow: 'hidden',
        width: '15rem',
        height: '5rem',
        margin: '0.5rem',
    },

    icon: {
        width: '5rem',
        height: '5rem',
        padding: '0.25rem',
    },

    iconContainer: {
        backgroundColor: '#006e96',
    },

    text: {
        cursor: 'pointer',
    },

    textContainer: {
        marginLeft: '0.5rem',
    },
};

/**
 * Helper method to get the styles for the component
 * @param {Object} contextStyles - Context styles for the Component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        iconContainer: {
            ...coreStyles.iconContainer,
            ...contextStyles.iconContainer,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },

        textContainer: {
            ...coreStyles.textContainer,
            ...contextStyles.textContainer,
        },
    };
};

export default getStyles;
